function ignored=classification_preprocess_sub(group_dirname)

% Load all the images in group_dirname/ .
imgs = load_all_jpegs_in_dir(group_dirname);
if length(imgs)==0 
    error(["There are no JPEGs in " group_dirname]);
end

% For each image, compute a set of features.
% For now, let's make the features just the mean and variance of the intensity
% over the image.
features=[];
for i=1:length(imgs)
    features(i,1) = mean(imgs{i}(:));
    features(i,2) = std(imgs{i}(:));
end

% scatter(features(:,1),features(:,2));
outname=[group_dirname "/features"];
save("-text",outname,"features");
disp(['Wrote ' outname]);

% For each feature, estimate the Cauchy parameters.
[mu1,s1]=calc_cauchy_params(features(:,1));
[mu2,s2]=calc_cauchy_params(features(:,2));

% Save the Cauchy parameters in a file in group_dirname/ .
outname=[group_dirname "/cauchy_params"];
save("-text",outname,"mu1","s1","mu2","s2");
disp(['Wrote ' outname]);

% For each feature, estimate the Gaussian parameters.
mu1=mean(features(:,1)); s1=std(features(:,1));
mu2=mean(features(:,2)); s2=std(features(:,2));

% Save the Gaussian parameters in a file in group_dirname/ .
outname=[group_dirname "/gaussian_params"];
save("-text",outname,"mu1","s1","mu2","s2");
disp(['Wrote ' outname]);

