function [mu,s] = calc_cauchy_params(xs)
% [mu,s] = calc_cauchy_params(xs)
% returns estimates of the center and width of a Cauchy distribution
% that could have generated the numbers in xs.
%

%function f=foo(x)
%    f=1
%endfunction

mu=median(xs);

% Now estimate s by brute force search.
best_s=1e-9;
best_den=prod(cauchy_pdf(xs,mu,best_s));
for log10_s=-5:.1:5
    s=10^log10_s;
    den=prod(cauchy_pdf(xs,mu,s));
    if den>best_den 
        best_s=s;
        best_den=den;
    end
end
s=best_s;

endfunction

