function prob = cauchy_classify(x, mu1,s1,p1, mu2,s2,p2)
% prob = cauchy_classify(x, mu1,s1,p1, mu2,s2,p2)
% returns the probability that x belongs to group 1, as opposed to group 2,
% where each of the two groups generates points according to a Cauchy distribution.
% p1 and p2 are the prior probabilities for belonging to the respective groups.

prob=1/(1+(p2/p1)*(cauchy_pdf(x,mu2,s2)/cauchy_pdf(x,mu1,s1)));

endfunction

