function prob = cauchy_classify_vector(x, mu1,s1,p1, mu2,s2,p2)
% prob = cauchy_classify_vector(x, mu1,s1,p1, mu2,s2,p2)
% returns the probability that the vector x belongs to group 1, as opposed to group 2,
% where each of the two groups generates points according to a factorial Cauchy
% distribution.

ratio=p2/p1;
for i=1:length(x) 
    ratio=ratio*cauchy_pdf(x(i),mu2(i),s2(i))/cauchy_pdf(x(i),mu1(i),s1(i));
end
prob=1/(1+ratio);

endfunction

