function p=classprob(img, mu1,sd1, mu2,sd2)
% function p=classprob(img, mu1,sd1, mu2,sd2)
% img : a greyscale image (matrix)
% mu1 : mean of group 1
% sd1 : sdev of group 1
% mu2 : mean of group 2
% sd2 : sdev of group 2

p_G1=1/2;
p_G2=1/2;
logratio=0;
imu=mean(img(:));
p_img_given_G1=sqrt(1/(2*pi*sd1^2))*exp(-0.5*((imu-mu1)/sd1)^2);
p_img_given_G2=sqrt(1/(2*pi*sd2^2))*exp(-0.5*((imu-mu2)/sd2)^2);
ratio=(p_img_given_G2/p_img_given_G1)*(p_G2/p_G1);
p=1/(1+ratio);

endfunction

