function v=filter_response_variance(img,filt)

% If the filter is smaller than the image then enlarge the filter by padding
% with noise or zeros.
if size(filt) < size(img)  
    [m,n]=size(filt);
    filt2 = zeros(size(img));
    filt2(1:m,1:n)=filt;
    filt=filt2;
elseif size(filt) > size(img)
    [m,n]=size(img);
    disp("Warning: filter is larger than image.  Truncating filter.");
    filt2=filt(1:m,1:n);
    filt=filt2;
end

filt_ft=fft2(filt);
img_ft=fft2(img);
convo=ifft2(filt_ft.*img_ft);
v=var(abs(convo)(:));

endfunction

