function prob = gaussian_classify_vector(x, mu1,s1,p1, mu2,s2,p2)
% prob = gaussian_classify_vector(x, mu1,s1,p1, mu2,s2,p2)
% returns the probability that the vector x belongs to group 1, as opposed to
% group 2, where each of the two groups generates points according to a
% factorial Gaussian distribution.

ratio=p2/p1;
for i=1:length(x) 
    p_xi_given_h1 = (1/sqrt(2*pi*s1(i)^2))*exp(-0.5*((x(i)-mu1(i))/s1(i))^2);
    p_xi_given_h2 = (1/sqrt(2*pi*s2(i)^2))*exp(-0.5*((x(i)-mu2(i))/s2(i))^2);
    ratio=ratio*p_xi_given_h2/p_xi_given_h1;
end
prob=1/(1+ratio);

endfunction

