#include <stdio.h>
#include <math.h>
#include <stdlib.h>

double square(double x) { return x*x; }

int main(int argc, char *argv[])
{
    int xi,yi,nx,ny,hwpix,maxval;
    double x,y,sdev,wavelen;
    if(argc!=1+3) {
        fprintf(stderr,
"Usage: pgmradialgabor hwpix sdev wavelen_pix > file.pgm\n"
"For example: pgmradialgabor 100 33 33 > gab.pgm\n");
        exit(-1);
    }
    hwpix = strtol(argv[1],NULL,10);
    sdev = strtod(argv[2],NULL);
    wavelen = strtod(argv[3],NULL);
    maxval = 255;
    ny = 2*hwpix+1;
    nx = ny;
    printf("P5\n");
    printf("%i %i\n",nx,ny);
    printf("%i\n",maxval); 
    for(yi=0;yi<ny;yi++) {
        y = yi-(ny-1)/2;
        for(xi=0;xi<nx;xi++) {
            double val,r;
            x = xi-(nx-1)/2;
            r = sqrt(x*x+y*y);
            val=0.5*255.0*
                (1.0+exp(-0.5*square(r/sdev))*cos((2.0*M_PI/wavelen)*r));
            fputc((int)val,stdout);
        }
    }
    return 0;
}

